﻿@model IEnumerable<ToitKoju.User>
@using T = ToitKoju;

@{
    ViewBag.Title = "Index";
}
@if (Request.IsAuthenticated)

{
    T.User u = T.User.GetByEmail(User.Identity.Name);
    if (u.IsInRoleAdmin)
    {
        <h2>Kasutajad</h2>
    }
    else
    {<h2>Minu andmed</h2>}
}


@if (Request.IsAuthenticated)
{
    T.User u = T.User.GetByEmail(User.Identity.Name);
    if (u.IsInRoleAdmin)
    {
        <p>
            @Html.ActionLink("Create New", "Create")
        </p>
    }
    else { <p>Tere!</p>}
}

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.UserName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.UserRole)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EMail)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Address)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.City)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.UserRole)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EMail)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Phone)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Address)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.City)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.UserID }) |
                @Html.ActionLink("Details", "Details", new { id = item.UserID }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.UserID })
            </td>
        </tr>
    }

</table>
